> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hyperspell.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Entity Records

> List structured records currently assigned to one public entity.



## OpenAPI

````yaml https://api.hyperspell.com/openapi.json get /entities/{entity_id}/records
openapi: 3.1.0
info:
  title: Hyperspell API
  summary: >-
    Hyperspell is the memory layer for AI apps and agents. Through the API, you
    can add memories, connect data sources to index them in real-time, and
    search memories with our natural language query engine.
  termsOfService: https://hyperspell.com/blog/tos
  contact:
    name: Hyperspell
    url: https://hyperspell.com/
    email: hello@hyperspell.com
  version: 0.32.1
servers:
  - url: https://api.hyperspell.com
    description: Production
security: []
paths:
  /entities/{entity_id}/records:
    get:
      tags:
        - entities
      summary: Get Entity Records
      description: List structured records currently assigned to one public entity.
      operationId: get_entity_records_entities__entity_id__records_get
      parameters:
        - name: entity_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Entity Id
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 50
            title: Limit
        - name: cursor
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                maxLength: 4096
              - type: 'null'
            title: Cursor
        - name: X-As-User
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: >-
              Optionally set this header to act as a specific user when using an
              API Key, equivalent to first exchanging the API Key for a User
              Token
            title: X-As-User
          description: >-
            Optionally set this header to act as a specific user when using an
            API Key, equivalent to first exchanging the API Key for a User Token
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EntityRecordsResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKey: []
components:
  schemas:
    EntityRecordsResponse:
      properties:
        items:
          items:
            $ref: '#/components/schemas/EntityRecordResponse'
          type: array
          title: Items
        next_cursor:
          anyOf:
            - type: string
            - type: 'null'
          title: Next Cursor
      type: object
      required:
        - items
      title: EntityRecordsResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    EntityRecordResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        entity_type:
          type: string
          title: Entity Type
        provider:
          type: string
          title: Provider
        workspace:
          anyOf:
            - type: string
            - type: 'null'
          title: Workspace
        external_id:
          type: string
          title: External Id
        display_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Display Name
        email:
          anyOf:
            - type: string
            - type: 'null'
          title: Email
        aliases:
          items:
            type: string
          type: array
          title: Aliases
        resolution_status:
          type: string
          title: Resolution Status
        resolution_method:
          anyOf:
            - type: string
            - type: 'null'
          title: Resolution Method
        resolver_version:
          anyOf:
            - type: string
            - type: 'null'
          title: Resolver Version
        resolved_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Resolved At
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - id
        - entity_type
        - provider
        - external_id
        - resolution_status
        - created_at
        - updated_at
      title: EntityRecordResponse
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKey:
      type: http
      description: >-
        API Key or JWT User Token. If using an API Key, set the X-As-User header
        to act as a specific user. A JWT User Token is always scoped to a
        specific user.
      scheme: bearer
      bearerFormat: Bearer <token>

````